com.idata.scanner.decoder

## Class ConstantUtil

- java.lang.Object
- - com.idata.scanner.decoder.ConstantUtil

-     public class ConstantUtil
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `BARCODE_BYTE_DATA`
    `static java.lang.String` | `BARCODE_CODE`
    `static java.lang.String` | `BARCODE_DECODE_TIME`
    `static java.lang.String` | `BARCODE_HEX_DATA`
    `static java.lang.String` | `BARCODE_NAME`
    `static java.lang.String` | `BARCODE_RESULT_CODE`
    `static java.lang.String` | `BARCODE_STRING_DATA`
    `static int` | `BCRDR_MSG_DECODE_COMPLETE`
    `static int` | `BCRDR_MSG_DECODE_EVENT`
    `static int` | `BCRDR_MSG_DECODE_RESTART`
    `static int` | `BCRDR_MSG_DECODE_TIMEOUT`
    `static java.lang.String` | `KEY_RECEIVER_ACTION`
    `static java.lang.String` | `RESULT_STATUS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConstantUtil()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### BCRDR_MSG_DECODE_COMPLETE

          public static final int BCRDR_MSG_DECODE_COMPLETE

      See Also:
        Constant Field Values

    - #### KEY_RECEIVER_ACTION

          public static final java.lang.String KEY_RECEIVER_ACTION

      See Also:
        Constant Field Values

    - #### BCRDR_MSG_DECODE_TIMEOUT

          public static final int BCRDR_MSG_DECODE_TIMEOUT

      See Also:
        Constant Field Values

    - #### BCRDR_MSG_DECODE_RESTART

          public static final int BCRDR_MSG_DECODE_RESTART

      See Also:
        Constant Field Values

    - #### BCRDR_MSG_DECODE_EVENT

          public static final int BCRDR_MSG_DECODE_EVENT

      See Also:
        Constant Field Values

    - #### BARCODE_BYTE_DATA

          public static final java.lang.String BARCODE_BYTE_DATA

      See Also:
        Constant Field Values

    - #### BARCODE_STRING_DATA

          public static final java.lang.String BARCODE_STRING_DATA

      See Also:
        Constant Field Values

    - #### BARCODE_HEX_DATA

          public static final java.lang.String BARCODE_HEX_DATA

      See Also:
        Constant Field Values

    - #### RESULT_STATUS

          public static final java.lang.String RESULT_STATUS

      See Also:
        Constant Field Values

    - #### BARCODE_RESULT_CODE

          public static final java.lang.String BARCODE_RESULT_CODE

      See Also:
        Constant Field Values

    - #### BARCODE_DECODE_TIME

          public static final java.lang.String BARCODE_DECODE_TIME

      See Also:
        Constant Field Values

    - #### BARCODE_CODE

          public static final java.lang.String BARCODE_CODE

      See Also:
        Constant Field Values

    - #### BARCODE_NAME

          public static final java.lang.String BARCODE_NAME

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ConstantUtil

          public ConstantUtil()